MBeanRegistrationException (Java SE 17 & JDK 17)
Description: declaration: module: java.management, package: javax.management, class: MBeanRegistrationException
Keywords: javax.management.MBeanRegistrationException class

Module java.management
Package javax.management

# Class MBeanRegistrationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.MBeanException
javax.management.MBeanRegistrationException

All Implemented Interfaces:
  `Serializable`

public class MBeanRegistrationException extends MBeanException
Wraps exceptions thrown by the preRegister(), preDeregister() methods of the `MBeanRegistration` interface.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MBeanRegistrationException(Exception e)`
  Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception`.
  `MBeanRegistrationException(Exception e, String message)`
  Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception` with a detailed message.

- ## Method Summary

  ### Methods declared in class javax.management.MBeanException

  `getCause, getTargetException`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MBeanRegistrationException

    public MBeanRegistrationException(Exception e)
    Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception`.
    Parameters:
      `e` - the wrapped exception.

  - ### MBeanRegistrationException

    public MBeanRegistrationException(Exception e, String message)
    Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception` with a detailed message.
    Parameters:
      `e` - the wrapped exception.
      `message` - the detail message.